Soporte » Plugins y Hacks » Como solucionar Deprecated: _register_skins ha quedado obsoleto

  • Hola espero que estén bien al actualizar elementor me salió el siguiente error:

    Deprecated: _register_skins ha quedado obsoleto desde la versión 3.1.0. Utiliza Elementor\Widget_Base::register_skins() en su lugar. in /home2/colegiol/public_html/wp-includes/functions.php on line 5316

    no sé cómo se soluciona, estuve buscando y decían que Desactivara «Essential Addons for Elementor» lo hice y el error seguía saliendo, también busque y decían que buscara el siguiente código:

    define(‘WP_DEBUG’, true);

    y donde dice «True» pusiera «false» también lo intente y nada e intentando pegar esto «Elementor\Widget_Base::register_skins» donde dice y la web deja de funcionar no sé si esto mismo les ha pasado espero que me puedan ayudar

    • Este debate fue modificado hace 8 meses, 2 semanas por blackpluss.
Viendo 5 respuestas - de la 1 a la 5 (de un total de 5)
  • Moderador Jose Luis

    (@jose64)

    Hola.

    Bienvenido al foro de soporte de WordPress.org. Te dejo el enlace a las Instrucciones de uso de los foros, ahí tienes explicada, entre otras cosas, la forma correcta de hacer una consulta.

    Tienes que indicar tema, plugins y la URL de la web para poder hacer un diagnóstico, puede tratarse de una versión obsoleta de algún tema o plugin que trabaje con elementor. Lo de cambiar WP_DEBUG a false no soluciona el error, es simplemente tratar de que no se muestre. Quedamos a la espera de más detalles

    Iniciador del debate blackpluss

    (@blackpluss)

    muchqsa gracias

    Iniciador del debate blackpluss

    (@blackpluss)

    Hola espero que estén bien al actualizar elementor me salió el siguiente error:

    Deprecated: _register_skins ha quedado obsoleto desde la versión 3.1.0. Utiliza Elementor\Widget_Base::register_skins() en su lugar. in /home2/colegiol/public_html/wp-includes/functions.php on line 5316

    no sé cómo se soluciona, estuve buscando y decían que Desactivara «Essential Addons for Elementor» lo hice y el error seguía saliendo, también busque y decían que buscara el siguiente código:

    define(‘WP_DEBUG’, true);

    y donde dice «True» pusiera «false» también lo intente y nada e intentando pegar esto «Elementor\Widget_Base::register_skins» donde dice y la web deja de funcionar no sé si esto mismo les ha pasado espero que me puedan ayudar

    Estoy usando el tema:
    Astra

    Los Plugins que tengo instalados son

    All-in-One WP Migration
    Custom Login Page Customizer
    Elemailer Lite
    Elementor Pro
    Essential Addons for Elementor
    JetElements For Elementor
    Premium Addons for Elementor

    WebP Express
    WP Mail SMTP
    Yoast SEO

    Moderador Jose Luis

    (@jose64)

    Por favor, no dupliques los debates. La información adicional debes ponerla en el debate inicial, así que los voy a juntar

    Moderador Jose Luis

    (@jose64)

    Alguno de los plugins que tienes son comerciales, seguramente se trate de algún plugin que no tienes actualizado. Si estás usando un plugin comercial y necesitas soporte debes ir a su canal de soporte oficial. Para dar el mejor servicio a la comunidad WordPress, y generar progreso e innovación, creemos que es importante dirigir a la gente a los sitios oficiales, en este caso el soporte de Elementor Pro y Crocoblock:

    How Can We Help You Today?

    Crocoblock support

    Además, los voluntarios del foro no tenemos acceso a productos comerciales, así que no sabríamos porque tu plugin comercial no funciona adecuadamente. Y hay otra razón por la que los voluntarios te dirigimos a los vendedores del producto comercial: los vendedores son responsables de dar soporte a su producto comercial.

    Se podría resumir en que en los foros de WordPress.org podemos dar soporte a todo aquello que se pueda instalar o descargar desde WordPress.org.

Viendo 5 respuestas - de la 1 a la 5 (de un total de 5)
  • El debate ‘Como solucionar Deprecated: _register_skins ha quedado obsoleto’ está cerrado a nuevas respuestas.